<html>
<head>
<meta http-equiv='Content-Type' content='text/html; charset=gb2312'>
<title>{$_SET[title]} ¿ØÖÆÃæ°å</title>
<link href="images/main.css" rel="stylesheet" type="text/css">
<script language="javascript">
var parentId = "{$parentid}";
var sys = "{$sys}";
var pageno   = '{$pageno}';
var channelid = '{$channelid}';
function goSelect( obj){
		parent.document.getElementById( parentId).value = obj.innerHTML;
		parent.qmeCms.dialogView.close();
}
function makeHtml( data, pages){
	var dataArray = new Array();
	dataArray = data.split( "|");
	if( dataArray.length%3!=0){
		var l = dataArray.length;
		for(i=0; i<3-l%3; i++){
			dataArray[l+i] = ""; 
		}
	}
	var t = document.getElementById('dataTable');
	for( i=0; i<dataArray.length; i++){
		if( i%3==0){
			tR = t.insertRow(t.rows.length-2);
				tR.height = 30;
				tR.width  = "100%" 		

		}
		tD = tR.insertCell(i%3);
			tD.align = "center";
			tD.className = "tableRow";
			tD.width = "90";
			if( dataArray[i])
			{
				tD.innerHTML = "<a href=# onclick=\"return goSelect(this)\">"+dataArray[i]+"</a>";
			}
	}
	var p = "";
	for( i=1; i<=pages; i++)
	{
		if( i==pageno)
		{
			p+="<span style='width:40px;text-align: center;'><font color=red><b>&nbsp;"+i+"&nbsp;</b></span>";
		}
		else
		{
			p+="<span style='width:40px;text-align: center;'><a href=# onclick='init( "+i+");'>&nbsp;"+i+"&nbsp;</a></span>";
		}	
	}
	document.getElementById('page').innerHTML = p ;
        makeInfo(0);
}

function makeInfo(val)
{
        var x = document.getElementById("info");
        if( val==1)
        {
        	x.innerHTML = "<font color=green>loading......</font>";
		var t = document.getElementById('dataTable');
		while(t.rows.length>2)
		{
			t.deleteRow(0);
		}
        }
        else
        {
              x.innerHTML = " ";
        }       
}
function init( page)
{
	pageno = page; makeInfo(1);
	url = "system.php?sys="+sys+"&channelid="+channelid+"&action=select&type=1&pageno="+page;
	url = "<iframe src="+url+" width=0 height=0 frameborder=0></iframe>";
	document.getElementById("inf").innerHTML = url ;	
}
</script>
</head>
<BODY  leftmargin='0' topmargin='0' marginheight='0' marginwidth='0' onload="init( pageno);">
<table cellpadding="2" cellspacing="1" class="tableborder"  id='dataTable'>
	<TR height=20 width=100%>
		<td align=center class=tablerow colspan=2 width=190 id="page">  </td>
		<td align=center class=tablerow colspan=1 id="info"></td>
	</tr>
	<TR height=0><td colspan=3 id="inf" height=0></tr>
</Table>
</BODY>
</HTML>